## ros-indigo-stdr-server 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(stdr_server)

find_package(catkin REQUIRED COMPONENTS
    roscpp
    tf
    nav_msgs
    stdr_msgs
    actionlib
    nodelet
    map_server
    visualization_msgs
)

set(CMAKE_BUILD_TYPE Release)

find_package(PkgConfig)
pkg_check_modules(NEW_YAMLCPP yaml-cpp>=0.5)
if(NEW_YAMLCPP_FOUND)
add_definitions(-DHAVE_NEW_YAMLCPP)
endif(NEW_YAMLCPP_FOUND)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    stdr_map_loader
  CATKIN_DEPENDS
    roscpp
    tf
    nav_msgs
    stdr_msgs
    actionlib
    nodelet
    map_server
    visualization_msgs
)

link_directories(${catkin_LIBRARY_DIRS})
include_directories( include ${catkin_INCLUDE_DIRS})

add_library(stdr_map_loader src/map_loader.cpp)
target_link_libraries(stdr_map_loader
    yaml-cpp
    ${catkin_LIBRARIES}
)

add_library(stdr_map_server src/map_server.cpp)
target_link_libraries(stdr_map_server
    stdr_map_loader
    ${catkin_LIBRARIES}
)

add_library(stdr_server src/stdr_server.cpp)
add_dependencies(stdr_server ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_server
  stdr_map_server
  ${catkin_LIBRARIES}
)

add_executable(stdr_server_node src/stdr_server_node.cpp)
target_link_libraries(stdr_server_node
  stdr_server
  ${catkin_LIBRARIES}
)

add_executable(load_map src/map_loader_node.cpp)
add_dependencies(load_map ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(load_map
  stdr_map_loader
  ${catkin_LIBRARIES}
)

# Testing
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

# Install libraries
install(TARGETS
    stdr_map_loader
    stdr_map_server
    stdr_server
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# Install excecutables
install(TARGETS
    stdr_server_node
    load_map
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES include/${PROJECT_NAME}/map_loader.h
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== test/CMakeLists.txt ===
find_package(rostest REQUIRED)

add_rostest(functional/interfaces_test.launch)

=== debian/changelog ===
ros-indigo-stdr-server (0.3.2-0trusty) trusty; urgency=high

  * Fix cmakes, no more cmake warnings

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-stdr-server (0.3.1-0trusty) trusty; urgency=high

  * Add forgotten dependency on visualization_msgs

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-stdr-server (0.3.0-0trusty) trusty; urgency=high

  * Add an interfaces test, as a functional test using rostest
  * Fix synchronization bug on new robot registration
  * Migrate to package format 2
  * Visualization for custom sources using Marker messages (#184 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/pull/184>)
  * Remove unnecessary image_loader library in cmake
  * Add forgotten run dependency to map_server (#172 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/172>)
  * Remove leading slash from frame_id

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-indigo-stdr-server (0.2.0-0trusty) trusty; urgency=high

  * Feedback added in case of double frame ids
  * Fixes #148 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/148>
  * Fix return values for service callbacks in stdr_server
  * Server support for co2, sound, thermal sources
  * Deletion of RFID tags supported
  * Added rfid_tag insertion support for server

 -- Chris Zalidis <zalidis@gmail.com>  Fri, 25 Jul 2014 07:00:00 -0000

ros-indigo-stdr-server (0.1.3-0trusty) trusty; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Tue, 25 Mar 2014 07:00:00 -0000

ros-indigo-stdr-server (0.1.2-0trusty) trusty; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Sun, 09 Mar 2014 08:00:00 -0000

ros-indigo-stdr-server (0.1.1-0trusty) trusty; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 10 Feb 2014 08:00:00 -0000

ros-indigo-stdr-server (0.1.0-0trusty) trusty; urgency=high

  * first public release for Hydro

 -- Chris Zalidis <zalidis@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-stdr-server
Section: misc
Priority: extra
Maintainer: Chris Zalidis <zalidis@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-map-server, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-stdr-msgs, ros-indigo-tf, ros-indigo-visualization-msgs
Homepage: http://stdr-simulator-ros-pkg.github.io
Standards-Version: 3.9.2

Package: ros-indigo-stdr-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-indigo-actionlib, ros-indigo-map-server, ros-indigo-nav-msgs, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-stdr-msgs, ros-indigo-tf, ros-indigo-visualization-msgs
Description: Implements synchronization and coordination functionalities of STDR Simulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-stdr-server//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
